var AmiEEPROM = function() {
    //
};
AmiEEPROM.init = (function() {
    var initialised = false;
    
    return function(callback) {
        if(initialised) {
            if(callback)
                callback(true);
            return;
        }
        initialised = true;

        // cuts off "/uploads", this is little disgusting
        var eepromScript = futami.get('eeprom').slice(0, -8) + '/eeprom.js';

        var script = document.createElement('script');
        script.onload = function() {
            if(callback)
                callback(true);
        };
        script.onerror = function() {
            console.error('Failed to load EEPROM script!');
            if(callback)
                callback(false);
        };
        script.charset = 'utf-8';
        script.type = 'text/javascript';
        script.src = eepromScript;
        document.body.appendChild(script);
    };
})();
