#include utility.js

var AmiUploadsSidebar = function() {
    var sbName = 'uploadList',
        body = $e({
            child: [
                {
                    attrs: {
                        className: 'eepromForm',
                    },
                    child: [
                        {
                            tag: 'input',
                            attrs: {
                                id: 'uploadSelector',
                                type: 'file',
                                class: 'hidden',
                                multiple: true,
                            },
                        },
                        {
                            tag: 'input',
                            attrs: {
                                id: 'uploadButton',
                                type: 'button',
                                value: 'Select file',
                            },
                        },
                    ],
                },
                {
                    tag: 'table',
                    attrs: {
                        id: 'uploadHistory',
                        class: 'eepromHistory',
                    },
                },
            ],
        });

    var setTitle;

    return {
        getName: function() { return sbName; },
        isWide: function() { return false; },
        getBody: function() { return body; },
        apply: function(obj) {
            setTitle = obj.setTitle;
        },
        reloadStrings: function() {
            setTitle(AmiStrings.getMenuString('uploads'));
        },
    };
};
